/**
 * Concat
 *
 * ---------------------------------------------------------------
 *
 * # src tasks config
 *   - Concats everything in the src/ directory
 *
 * For usage docs see:
 *      https://github.com/gruntjs/grunt-contrib-concat
 */
module.exports = function(grunt) {
  grunt.config.set('concat', {
    pkg: grunt.file.readJSON('package.json'),
    options: {
      banner: '/*!\n<%= asciify_title %> <%= concat.pkg.name %> <%= concat.pkg.version %> <<%= concat.pkg.homepage %>>\n' +
      ' Contributor(s): <%= concat.pkg.author %>\n Last Build: ' + grunt.template.today('yyyy-mm-dd') +
      '\n Do not edit this file. It is created from the src/ folder.\n*/\n'
    },
    src: {
      files: {
        '<%= concat.pkg.name %>.js' : [ 'src/**/*.js' ]
      }
    }
  });

};
